Package Details: freecad 0.18.16117-1

Git Clone URL: https://aur.archlinux.org/freecad.git (read-only)
Package Base: freecad
Description: A general purpose 3D CAD modeler
Upstream URL: https://www.freecadweb.org/
Licenses: LGPL
Submitter: bluewind
Maintainer: gbs
Last Packager: gbs
Votes: 162
Popularity: 13.682859
First Submitted: 2018-03-22 09:25
Last Updated: 2019-05-16 21:16

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

DoXer commented on 2019-03-15 09:42

I'm also unable to compile 0.18

Here are the logs: https://paste.xinu.at/F5h/ https://paste.xinu.at/Rn9QtL/

gbs commented on 2019-03-13 22:11

Kunda: there is something strange with the pkg-config for OpenMPI, because OPENMPI_INCLUDE_DIRS is empty on the CMake side. That's the reason for that warning. However, said include dir is just /usr/include, so at the end it doesn't matter.

vlas: I can't see anything that indicates the error in your log. I'd need the entire console output of makepkg itself.

Kunda commented on 2019-03-13 21:10

Still compiling 0.18, came here to mention that I see this in the CMake output:

-- Checking for one of the modules 'ompi-cxx'
CMake Warning at CMakeLists.txt:745 (message):
  mpi.h was not found.  Check for error above.

vlas commented on 2019-03-13 20:28

Hello! I'm getting a build error too:

-- Configuring incomplete, errors occurred! See also "/tmp/pamac-build/freecad/src/FreeCAD/CMakeFiles/CMakeOutput.log". See also "/tmp/pamac-build/freecad/src/FreeCAD/CMakeFiles/CMakeError.log".

There are logs: https://termbin.com/3oez https://termbin.com/8ao5

petronny commented on 2019-03-13 10:15

"qt5-x11extras" and "glew" are needed to build this package.

bebR commented on 2019-03-08 14:31

@nonnymoose you're right, a rebuild made it work again, thanks.

nonnymoose commented on 2019-03-06 02:17

@bebR For me, all I had to do was rebuild FreeCAD and it started working without libvtkalglib.

metcalfe commented on 2019-02-12 20:10

@hybrid I have this issue with the current versions: Pyside2-5.12.1 and Shiboken2-2.5.1-1

Interesting that it resolved for you.

hybrid commented on 2019-02-10 23:03

@metcalfe:

our error seems to be resolved with python2-shiboken2-2.5.1-1 and/or python2-pyside2-5.12.1-1. Both were released on Jan 6th, so they're available now. After I upgraded those two packages, the build of freecad 0.17.13544-9 worked fine for me again.

bebR commented on 2019-02-10 07:57

The latest vtk version (8.2.0-1) is not supported. It causes the "Create mesh from shape" function crash, because libvtkalglib.so.1 is not available anymore. I had to downgrade vtk package to 8.1.2-2.